#ifndef __PLATFORMNETWORK_H__
#define __PLATFORMNETWORK_H__

#include <string>

namespace LibPlatform {
namespace Network {

typedef void (*PostConnectCallback)(bool bConnected, void *pParam);

bool Initialize();
bool StartupAndConnect();
bool Connect();
bool IsConnected();
bool WorkOffline(bool bWorkOffline);
unsigned long GetAssignedIPAddress();
bool GetProxyInfo(char **proxyhostname, int *proxyport, char **proxyusername, char **proxypassword);
void SetPostConnectCallback(PostConnectCallback cb, void *pUserParam);
void ClearPostConnectCallback(PostConnectCallback cb);
void SetCertificatePath(const char *szCertificatePath);
std::string GetCertificatePath();
void SetClientCertificatePath(const char *szCertificatePath);
std::string GetClientCertificatePath();

}
}

#endif
