/*---------------------------------------------------------------------------*

  Copyright 2012 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/


#ifndef FCNTL_H_
#define FCNTL_H_

/* for open */
#define O_CREAT 00100
#define O_EXCL 00200
#define O_NOCTTY 00400
#define O_TRUNC 01000

#define O_RDONLY 1
#define O_WRONLY 2
#define O_RDWR 4

/* for fcntl */
#define F_DUPFD 0 
#define F_GETFD 1 
#define F_SETFD 2 
#define F_GETFL 3 
#define F_SETFL 4 
#define F_GETLK 5 
#define F_SETLK 6 
#define F_SETLKW 7 
#define F_FREESP 8 

#define F_RDLCK 1
#define F_WRLCK 2
#define F_UNLCK 3

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

struct flock {
    short l_type;
    short l_whence;
    off_t l_start;
    off_t l_len;
    pid_t l_pid;
};

int open(const char *name, int flags, int mode);
int fcntl(int fd, int cmd, ...);

#ifdef __cplusplus
}
#endif


#endif
